readbuffer(1)

NAME
readbuffer - read input from devices which don't like constant stopping and starting

SYNOPSIS
readbuffer [--mlock] [size]

DESCRIPTION
readbuffer reads data on standard input and writes it to standard output. It will internally buffer up to size megabytes of data, and will only read more data when the buffer is at least 75% empty.

size may also be suffixed with m, k, or b to indicate that it is in megabytes (2^20), kilobytes (2^10) or bytes.

It is intended for use in situations where many small reads are undesirable for performance reasons, e.g. tape drives.

OPTIONS

--mlock
    Calls mlock(2) to lock the buffer into memory.

SEE ALSO
writebuffer(1), mlock(2)